public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/acl-compat/
@ 2017-07-07  8:32 José María Alonso
  0 siblings, 0 replies; 3+ messages in thread
From: José María Alonso @ 2017-07-07  8:32 UTC (permalink / raw
  To: gentoo-commits

commit:     924bc4893be1da6a417301f8ec5d3c4928d71cf3
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  7 08:32:49 2017 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Fri Jul  7 08:32:49 2017 +0000
URL:        https://gitweb.gentoo.org/proj/lisp.git/commit/?id=924bc489

dev-lisp/acl-compat: Updates to common-lisp-3 eclass

 dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

diff --git a/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild b/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild
index 1e858d7e..d5802938 100644
--- a/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild
+++ b/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild
@@ -1,8 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Id$
 
-inherit common-lisp-2 eutils
+EAPI=6
+
+inherit common-lisp-3 eutils
 
 MY_PV=${PV:0:6}
 CVS_PV=${PV:7:4}.${PV:11:2}.${PV:13}
@@ -10,7 +11,7 @@ CVS_PV=${PV:7:4}.${PV:11:2}.${PV:13}
 DESCRIPTION="Compatibility layer for Allegro Common Lisp"
 HOMEPAGE="http://portableaserve.sourceforge.net/
 	http://packages.debian.org/unstable/web/cl-acl-compat"
-SRC_URI="mirror://debian/pool/main/c/cl-portable-aserve/cl-portable-aserve_${MY_PV}+cvs.${CVS_PV}-dfsg.orig.tar.gz"
+SRC_URI="mirror://debian/pool/main/c/cl-portable-aserve/cl-portable-aserve_${MY_PV}+cvs.${CVS_PV}"-dfsg.orig.tar.gz
 
 LICENSE="LLGPL-2.1"
 SLOT="0"
@@ -24,9 +25,9 @@ RDEPEND="!dev-lisp/cl-${PN}
 S="${WORKDIR}"/cl-portable-aserve-${MY_PV}+cvs.${CVS_PV}-dfsg.orig
 
 src_install() {
-	cd ${PN}
-	common-lisp-install *.{lisp,asd,system}
-	common-lisp-install allegro clisp cmucl lispworks mcl sbcl scl
-	common-lisp-symlink-asdf
+	cd ${PN} || die
+	common-lisp-install-sources *.{lisp,system}
+	common-lisp-install-sources allegro clisp cmucl lispworks mcl sbcl scl
+	common-lisp-install-asdf
 	dodoc ChangeLog CREDITS README
 }


^ permalink raw reply related	[flat|nested] 3+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/acl-compat/
@ 2018-03-18 22:11 José María Alonso
  0 siblings, 0 replies; 3+ messages in thread
From: José María Alonso @ 2018-03-18 22:11 UTC (permalink / raw
  To: gentoo-commits

commit:     747c24ab4696c79737e8733341e2aa68421ac13d
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 18 22:11:51 2018 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sun Mar 18 22:11:51 2018 +0000
URL:        https://gitweb.gentoo.org/proj/lisp.git/commit/?id=747c24ab

dev-lisp/acl-compat: Drops package

 .../acl-compat/acl-compat-1.2.42.20070507.ebuild   | 33 ----------------------
 1 file changed, 33 deletions(-)

diff --git a/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild b/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild
deleted file mode 100644
index d5802938..00000000
--- a/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit common-lisp-3 eutils
-
-MY_PV=${PV:0:6}
-CVS_PV=${PV:7:4}.${PV:11:2}.${PV:13}
-
-DESCRIPTION="Compatibility layer for Allegro Common Lisp"
-HOMEPAGE="http://portableaserve.sourceforge.net/
-	http://packages.debian.org/unstable/web/cl-acl-compat"
-SRC_URI="mirror://debian/pool/main/c/cl-portable-aserve/cl-portable-aserve_${MY_PV}+cvs.${CVS_PV}"-dfsg.orig.tar.gz
-
-LICENSE="LLGPL-2.1"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE=""
-
-RDEPEND="!dev-lisp/cl-${PN}
-		dev-lisp/puri
-		dev-lisp/cl-ppcre"
-
-S="${WORKDIR}"/cl-portable-aserve-${MY_PV}+cvs.${CVS_PV}-dfsg.orig
-
-src_install() {
-	cd ${PN} || die
-	common-lisp-install-sources *.{lisp,system}
-	common-lisp-install-sources allegro clisp cmucl lispworks mcl sbcl scl
-	common-lisp-install-asdf
-	dodoc ChangeLog CREDITS README
-}


^ permalink raw reply related	[flat|nested] 3+ messages in thread
* [gentoo-commits] proj/lisp:master commit in: dev-lisp/acl-compat/
@ 2016-06-21 21:21 José María Alonso
  0 siblings, 0 replies; 3+ messages in thread
From: José María Alonso @ 2016-06-21 21:21 UTC (permalink / raw
  To: gentoo-commits

commit:     d2d4eabfaf6265dad5d4db4e7dc86d7e928c295d
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 21 21:21:46 2016 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Tue Jun 21 21:21:46 2016 +0000
URL:        https://gitweb.gentoo.org/proj/lisp.git/commit/?id=d2d4eabf

dev-lisp/acl-compat: Update header

 dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild b/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild
index 69a73e9..1e858d7 100644
--- a/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild
+++ b/dev-lisp/acl-compat/acl-compat-1.2.42.20070507.ebuild
@@ -1,6 +1,6 @@
-# Copyright 1999-2010 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: $
+# $Id$
 
 inherit common-lisp-2 eutils
 


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2018-03-18 22:11 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-07-07  8:32 [gentoo-commits] proj/lisp:master commit in: dev-lisp/acl-compat/ José María Alonso
  -- strict thread matches above, loose matches on Subject: below --
2018-03-18 22:11 José María Alonso
2016-06-21 21:21 José María Alonso

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox